Caja-Actions Menu Extender - close prematurely

After removing wireguard and wireguard-dkms, error went away, and no longer filling messages file.

Messages after attempt to install wireguard after removing it.
###└──╼ #apt install wireguard-dkms wireguard
Reading package lists… Done
Building dependency tree
Reading state information… Done
The following additional packages will be installed:
wireguard-tools
The following NEW packages will be installed:
wireguard wireguard-dkms wireguard-tools
0 upgraded, 3 newly installed, 0 to remove and 1 not upgraded.
Need to get 0 B/386 kB of archives.
After this operation, 2,170 kB of additional disk space will be used.
Do you want to continue? [Y/n]
Selecting previously unselected package wireguard-dkms.
(Reading database … 457673 files and directories currently installed.)
Preparing to unpack …/wireguard-dkms_0.0.20191206-1_all.deb …
Unpacking wireguard-dkms (0.0.20191206-1) …
Selecting previously unselected package wireguard-tools.
Preparing to unpack …/wireguard-tools_0.0.20191206-1_amd64.deb …
Unpacking wireguard-tools (0.0.20191206-1) …
Selecting previously unselected package wireguard.
Preparing to unpack …/wireguard_0.0.20191206-1_all.deb …
Unpacking wireguard (0.0.20191206-1) …
Setting up wireguard-dkms (0.0.20191206-1) …
Loading new wireguard-0.0.20191206 DKMS files…
Building for 5.4.0-1parrot1-amd64
Building initial module for 5.4.0-1parrot1-amd64
Error! Bad return status for module build on kernel: 5.4.0-1parrot1-amd64 (x86_64)
Consult /var/lib/dkms/wireguard/0.0.20191206/build/make.log for more information.
dpkg: error processing package wireguard-dkms (–configure):
installed wireguard-dkms package post-installation script subprocess returned error exit status 10
Setting up wireguard-tools (0.0.20191206-1) …
dpkg: dependency problems prevent configuration of wireguard:
wireguard depends on wireguard-dkms (= 0.0.20191206-1) | wireguard-modules (= 0.0.20191206); however:
Package wireguard-dkms is not configured yet.
Package wireguard-modules is not installed.

dpkg: error processing package wireguard (–configure):
dependency problems - leaving unconfigured
Processing triggers for man-db (2.9.0-1) …
Errors were encountered while processing:
wireguard-dkms
wireguard
Scanning application launchers
Updating active launchers
Done
E: Sub-process /usr/bin/dpkg returned an error code (1)
┌─[✗]─[root@parrot]─[~]

Removed it again after failed install noted above, and

RedRuby:

Caja-Actions Menu Extender

messages are no longer filling /var/log/messages file.

And I have no clue as to the issue. Still noobish and learning!!! LOL

Cheers!

This post was inadvertently closed. Issue is still outstanding.